body {
	margin: 0;
	padding: 0;
	height: 100vh;
	overflow-y: scroll;
}

/** stops scrolling when a dialog is open and styles the background */
body:has(dialog[open]) {
	overflow: scroll
}


.pHeader {
	justify-self: center;
	color: #20bcf4;
	margin-top: 1rem;
	margin-bottom: 0.5rem;
}

.close-btn {
	margin-left: auto;
	align-self: flex-end;
	transform: scale(0.75);
}

.close-btn::before {
	content: url("../images/kenney_game-icons/PNG/Black/1x/cross.png");
}


.colorchange-dialog {
	align-self: center;
	justify-self: center;
	z-index: 1000;
	width: fit-content;
}


.number-centered {
	text-align: center;
	margin: 0;
	-moz-appearance: textfield;
	appearance: textfield;
}

.number-centered::-webkit-inner-spin-button,
.number-centered::-webkit-outer-spin-button {
	-webkit-appearance: none;
}

#blocksPerPage {
	width: auto;
}

#blockCountDispaly {
	margin-left: 0.2rem;
	margin-right: 0.2rem;
}

#main-content {
	margin: 8px;
	padding: 0;
}

#gif-input {
	display: none;
}

.gif-input-label {
	border: 1px solid #ccc;
	display: inline;
	padding: 6px 12px;
}

.clickable {
	cursor: pointer;
}

.gif-input-label input {
	display: none;
}

#canvas-div {
	flex-direction: column;
	flex-basis: auto;
	display: flex;
}

.canvas-element {
	width: fit-content;
	height: auto;
	align-self: center;
	display: grid;
}


label {
	width: fit-content;
	height: fit-content;
}

.example-gif {
	max-height: 50px;
}

#examples-right {
	flex: 1;
	justify-content: flex-start;
	display: flex;
	margin-left: 2em;
}

#examples-left {
	flex: 1;
	justify-content: flex-end;
	display: flex;
	margin-right: 2em;
}


#options-left {
	flex: 1;
	margin-left: 1vw;
	align-self: center;
	align-items: center;
}

#options-right {
	flex: 1;
	margin-right: 1vw;
	align-self: center;
	align-items: center;
	justify-content: flex-end;
}

#options-right label {
	display: grid;
	margin-left: 0.3rem;
	margin-right: 0.3rem;
}

#pageFromTotal {
	color: black;
	width: fit-content;
	padding: 3px 3px;
	margin: auto;
}

#paginator {
	background-color: beige;
	position: sticky;
	width: 100%;
	display: flex;
	z-index: 999;
	bottom: 0;
	left: 0;
	padding-top: 0.3em;
	padding-bottom: 0.2em;
}


#page-controls {
	width: auto;
	display: flex;
	margin-left: auto;
	margin-right: auto;
	align-items: center;
	justify-content: center;
}


#menue-bar {
	background-color: beige;
	position: sticky;
	top: 0;
	left: 0;
	align-items: center;
	justify-content: center;
	width: 100%;
	z-index: 999;
	display: flex;
	padding-top: 0.2rem;
	padding-bottom: 0.2rem;
	overflow: auto;
}


#paginator>.container {
	flex: auto;
	justify-content: center;
	align-content: center;
}

.applicationExtension {
	margin-top: 1rem;
	padding: 0.3rem;
	border: 4px solid green;
	width: fit-content;
	height: fit-content;
}

.application-p {
	margin-top: 0.3rem;
	margin-bottom: 0.3rem;
}


.logicalscreen {
	width: fit-content;
	height: fit-content;
	padding-left: 0.5rem;
	padding-right: 0.5rem;
}


.comment-gif {
	padding: 0.5rem;
	margin: 1rem;
	border: 4px solid rgb(0, 190, 0);
	width: fit-content;
	height: fit-content;
}


.comment-gif [contenteditable="plaintext-only"] {
	border: 3px dotted #00a103;
	overflow: auto;
	padding: 0.2rem;
	white-space: pre-wrap;
}

.gce-gif,
.imagedescriptor-gif {
	padding-left: 0.5rem;
	padding-right: 0.5rem;
	width: fit-content;
	height: fit-content;

}

.upload-label {
	margin-top: 0.4rem;
	justify-self: center;
}

.upload-label,
.gce-label,
.lsd-label,
.id-label {
	margin-bottom: 0.2em;
	display: flex;
	width: max-content;
}

.gce-label:has(>select) {
	display: grid;
}

.upload-label input,
.upload-label select,
.gce-label input,
.gce-label select,
.id-label input,
.id-label select,
.lsd-label input,
.lsd-label select {
	margin-left: 0.3rem;
}


.header-gif {
	width: fit-content;
	height: fit-content;
}

.trailer-gif {
	padding: 0.4rem;
	margin: 1rem;
	border: 4px solid rgb(0, 224, 0);
	width: fit-content;
	height: fit-content;
}

.container {
	display: grid;
}

.container-full {
	display: grid;
	width: 100%;
}

.container-centerd {
	display: grid;
	justify-content: center;
}

.containerFlex {
	display: flex;
}

.containerFlex-centered {
	display: flex;
	align-items: center;
	justify-content: center;
}

.flex-wrapper {
	display: flex;
	min-height: 100vh;
	flex-direction: column;
	justify-content: space-between;
}

.hidden {
	display: none;
}

.checkbox-label {
	border: 1px solid #ccc;
	display: inline;
	/**
	position: relative;
	margin-right: auto;
	margin-left: auto;
	*/
	padding: 6px 12px;
	cursor: pointer;
}


.gifImage {
	width: fit-content;
	height: fit-content;
	border: grey solid 2px;
	box-shadow: #ccc 2px 3px 5px;
}


.warning-element {
	border: 4px solid red;
}

.badge {
	height: auto;
	float: right;
	align-self: flex-end;
}


.right-arrow {
	border: solid black;
	border-top-width: medium;
	border-right-width: medium;
	border-bottom-width: medium;
	border-left-width: medium;
	border-width: 0 3px 3px 0;
	display: inline-block;
	padding: 3px;
	vertical-align: middle;
	transform: rotate(-45deg);
}


.left-arrow {
	border: solid black;
	border-top-width: medium;
	border-right-width: medium;
	border-bottom-width: medium;
	border-left-width: medium;
	border-width: 0 3px 3px 0;
	display: inline-block;
	padding: 3px;
	vertical-align: middle;
	transform: rotate(135deg);
}

.nav-button {
	width: fit-content;
	height: fit-content;
	border: none;
	background-color: rgba(240, 248, 255, 0);
}

.nav-button:disabled:hover {
	filter: drop-shadow(3px 4px 3px grey);
}

.nav-button:hover {
	filter: drop-shadow(3px 4px 3px #c144dd);
}

.left-arrow-button::before {
	content: url(../images/kenney_game-icons/PNG/Black/1x/arrowLeft.png);
}

.right-arrow-button::before {
	content: url(../images/kenney_game-icons/PNG/Black/1x/arrowRight.png);
}

.reset-button::before {
	content: url(../images/kenney_game-icons/PNG/Black/1x/return.png);
}

.deletegif-button::before{
	content: url(../images/kenney_game-icons/PNG/Black/1x/trashcanOpen.png);
}

.preview-button::before {
	content: url(../images/kenney_game-icons/PNG/Black/1x/film.png)
}

.imagecanvas {
	/**position: absolute;*/
	z-index: 1;
}

.drawcanvas {
	/** cursor: crosshair; */
	position: absolute;
	z-index: 3;
}


.layers {
	position: relative;
	display: flex;
	width: fit-content;
	justify-self: center;
	margin-bottom: 1rem;
	margin-top: 0.4rem;
	border-style: double;
}

.draw-dialog-menue {
	display: flex;
	justify-content: center;
	width: 100%;
}


.dialog-modal {
	display: grid;
	align-items: center;
	justify-items: center;
}

.download-modal {
	display: flex;
}

.download-modal input[type="text"] {
	height: fit-content;
	align-self: center;
}

.download-modal .close-btn {
	margin-right: -1rem;
}


.dialog-modal input[type='color'] {
	padding: 0;
	width: 150%;
	height: 150%;
	margin: -25%;
}

.cp-wrapper {
	overflow: hidden;
	width: 2em;
	height: 2em;
	/* optional formatting below here */
	border-radius: 50%;
	box-shadow: 1px 1px 3px 0px grey;
	margin: 1em;
}

.colortablecanvas {
	justify-self: center;
	cursor: crosshair;
}

.colortablecanvas:hover {
	outline: solid 4px rgb(98, 98, 98);
}

div:has(> blockquote) {
	align-items: flex-start;
	width: fit-content;
	background-color: #ededed;
	margin: 10px 0.5em;
	padding: 15px;
	border-radius: 5px;
}

.about {
	margin: 5px;
}


.download-button::before {
	content: url(../images/kenney_game-icons/PNG/Black/1x/save.png);

}

.delete-button {
	border: none;
	border-radius: 20%;
	background-color: rgb(190, 24, 24);
	width: fit-content;
	scale: 0.70;
}

.delete-button::before {
	content: url(../images/kenney_game-icons/PNG/Black/1x/minus.png);
}


.dropdown-container {
	position: relative;
	width: fit-content;
}

.dropdown-button {
	border: none;
	border-radius: 20%;
	background-color: rgb(31, 215, 31);
	width: fit-content;
	scale: 0.70;
}

.dropdown-button::before {
	content: url("../images/kenney_game-icons/PNG/Black/1x/plus.png");
	/* use this to actualy give the button an icon */

}

.dropdown-content {
	display: none;
	position: absolute;
	width: max-content;
	background-color: #f9f9f9;
	box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
}

.dropdown-element {
	display: block;
	cursor: pointer;
	padding-left: 0.3vw;
	padding-right: 0.3vw;
	padding-top: 0.3vh;
	border-bottom: gold dotted 3px;
}

.dropdown-element:hover {
	background-color: gold;
}

.dropdown-container:hover .dropdown-content {
	display: block;
}


.choice-container {
	width: fit-content;
	margin-bottom: 10px;
	border-style: solid;
	border-color: aquamarine;
	padding: 5px;
}

.choice-container label {
	display: flex;
	flex-direction: row;
	width: fit-content;
	margin-bottom: 0.3rem;

}

.optional-content {
	width: fit-content;
}


.optional-element {
	display: flex;
	justify-content: left;
	margin-top: 0.2em;
}

.optional-content label {
	display: flex;
	flex-direction: row;
	width: fit-content;
	margin-bottom: 0.3rem;
}

.optional-content input {
	width: inherit;
	margin-left: 10px;
}

.optional-content select {
	width: inherit;
	margin-left: 10px;
}


.right {
	margin-left: auto;
	flex: 1;
	display: flex;
	justify-content: flex-start;
}

.middle {
	margin-left: auto;
	margin-right: auto;
	flex: 1;
	display: flex;
	justify-content: center;
}

.left {
	margin-right: auto;
	flex: 1;
	display: flex;
	justify-content: flex-end;
}

#closespan-dialog-template {
	display: flex;
	justify-self: flex-end;
	align-self: flex-end;
	scale: 0.86;
}

#newImage-dialog {
	padding-top: 0;
	padding-bottom: 0;
}

#addImage-button-template {
	display: flex;
	margin-left: auto;
	margin-right: auto;
}

.plaintext-full-container,
.image-full-container {
	display: flex;
	width: fit-content;
	justify-self: center
}

.image-gce-wrapper {
	padding-right: 0.2rem;
	padding-left: 0.2rem;
	flex: 1;
	display: flex;
	justify-content: right;
	/*border-right: 4px solid rgb(0, 190, 0);*/
}

.image-descriptor-wrapper {
	padding-right: 0.2rem;
	padding-left: 0.2rem;

	flex: 1;
	display: flex;
	justify-content: left;
	/*border-left: 4px solid rgb(0, 190, 0);*/
}

.image-full-main {
	margin-left: 1rem;
	margin-right: 1rem;
	align-self: center;
}

.image-lct-wrapper {
	margin-top: 0.5rem;
	margin-bottom: 0.5rem;
	display: flex;
	justify-content: center;
}

.plaintext-mainwrapper,
.imageDisplay-mainwrapper {
	display: grid;
	margin-top: 1rem;
	width: fit-content;
	align-self: center;
	border: #00a103 solid 3px;
}

.GIFInfoDisplay-mainwrapper {
	display: grid;
	margin-top: 1rem;
	width: fit-content;
	align-self: center;
	border: #00a103 solid 3px;
}

.GIFInfoDisplay-full-container {
	display: flex;
	justify-content: center;
}


.pte-text {
	border: 3px dotted #00a103;
	overflow: auto;
	padding: 0.2rem;
	margin: 0.4rem;
}

.plaintext-gce-wrapper {
	padding-right: 0.2rem;
	padding-left: 0.2rem;
	flex: 1;
	display: flex;
	justify-content: right;
	margin-right: 3rem;
	;

}

.plaintext-pte-wrapper {
	padding-right: 0.2rem;
	padding-left: 0.2rem;
	flex: 1;
	display: flex;
	justify-content: left;

}

.gif-preview-wrapper {
	border: double black 3px;
}

dialog {
	border: #00a103 solid 5px;
	padding-top: 0px;
}

img {
	max-width: 100%;
	max-height: 100%;
}

.imagecolorselectbutton {
	scale: 0.75;
	border-style: solid;
	border-color: black;
	background: #ccc;
	width: fit-content;
	height: fit-content;
}

.imagecolorselectbutton::before {
	content: url("../images/kenney_game-icons/PNG/Black/1x/zoom.png");
}

.colorselect-button {
	background: #00a103;
}


.banner-element {
	scale: 0.75;
	margin-left: -1em;
}

#blank-gif {
	margin: 0.3rem;
	border: solid 2px black;
	scale: 1;
}

#coloringButton {
	margin: 0.3rem;
	border: solid 2px black;
	scale: 1;
}

#tutorialbutton{
	margin: 0.3rem;
	border: solid 2px black;
	scale: 1;
}

#aboutelement::before {
	content: url(../images/kenney_game-icons/PNG/Black/1x/information.png);
}

.about h2 {
	background-color: #20bcf4;
	padding-left: 0.4rem;
}

.about section {
	background-color: #98dcf4;
	padding-bottom: 0.2rem;
}

.about p {
	padding-left: 0.4rem;
}

header {
	background-color: beige;
	padding: 0.4rem;
}


.canvas-fit{
	width: 100%;
	height: auto;
}